{ lib, config, options, pkgs, modulesPath, ... }:
#with lib;
#let
#  cfg = config.yoda.audio;
#in
#{
#  options = {
#    yoda.audio = {
#      enable = mkEnableOption "Sound with pipewire";
#    };
#  };
#
#  config = mkIf cfg.enable
{
  # Enable sound with pipewire.
  # https://github.com/tolgaerok/nixos-kde/blob/main/core/system/audio/default.nix
  sound.enable = true;
  hardware.pulseaudio.enable = false;
  security.rtkit.enable = true;
  services.pipewire = {
    enable = true;
    alsa.enable = true;
    alsa.support32Bit = true;
    pulse.enable = true;
    # If you want to use JACK applications, uncomment this.
    #jack.enable = true;

    # Use the example session manager (no others are packaged yet so this is enabled by default,
    # no need to redefine it in your config for now)
    #media-session.enable = true;
  };
#};
}
